> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polymarket.us/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch download account valuations as CSV

> Streams MTM summaries for multiple accounts as CSV (one row per account). Use for multi-account book-close exports.



## OpenAPI

````yaml /institutional/oapi-schemas/valuation-schema.json post /v1/valuations/accounts/statement/download
openapi: 3.0.1
info:
  title: Valuation API
  version: v1.1.0
servers:
  - url: https://api.prod.polymarketexchange.com
security: []
tags:
  - name: ValuationAPI
paths:
  /v1/valuations/accounts/statement/download:
    post:
      tags:
        - Valuation
      summary: Batch download account valuations as CSV
      description: >-
        Streams MTM summaries for multiple accounts as CSV (one row per
        account). Use for multi-account book-close exports.
      operationId: ValuationAPI_BatchDownloadAccountValuations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchDownloadAccountValuationsRequest'
      responses:
        '200':
          description: A successful response (streaming).
          content:
            text/csv:
              schema:
                type: string
                description: >-
                  CSV file stream containing account valuation summaries. One
                  row per account. Columns: account, currency, total_cost,
                  total_market_value, total_unrealized_pnl, total_realized_pnl,
                  position_count, valuation_time, mark_price_type, price_source
components:
  schemas:
    BatchDownloadAccountValuationsRequest:
      type: object
      required:
        - names
      properties:
        names:
          type: array
          items:
            type: string
          description: Required. List of account resource names to query.
        asOfTime:
          type: string
          format: date-time
          description: >-
            Optional. Query valuations as of this timestamp. Mutually exclusive
            with asOfDate.
        asOfDate:
          $ref: '#/components/schemas/Date'
          description: >-
            Optional. Query valuations as of end of this trade date. Mutually
            exclusive with asOfTime.
        markPriceType:
          $ref: '#/components/schemas/MarkPriceType'
          description: Optional. Method for determining mark price. Default is LAST.
      description: Request to download valuations for multiple accounts as CSV.
    Date:
      type: object
      properties:
        year:
          type: integer
          format: int32
          description: Year (e.g., 2026)
        month:
          type: integer
          format: int32
          minimum: 1
          maximum: 12
          description: Month (1-12)
        day:
          type: integer
          format: int32
          minimum: 1
          maximum: 31
          description: Day (1-31)
      description: Represents a calendar date.
    MarkPriceType:
      type: string
      enum:
        - MARK_PRICE_TYPE_LAST
        - MARK_PRICE_TYPE_VWAP
        - MARK_PRICE_TYPE_MID
      description: >-
        MarkPriceType specifies how the mark price is determined. LAST uses last
        traded price, VWAP uses volume-weighted average price (notional /
        volume), MID uses mid price ((high + low) / 2).

````